#
# spec file for package soundtouch (Version 1.4.0)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           soundtouch
License:        LGPL v2.1 or later
Group:          Productivity/Multimedia/Sound/Editors and Convertors
Url:            http://www.surina.net/soundtouch
Summary:        Audio Processing Library
Version:        1.4.0
Release:        2.10
BuildRequires:  gcc-c++ libstdc++-devel
Source:         %{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
SoundTouch is an open source audio processing library that allows
changing the sound tempo, pitch and playback rate parameters
independently from each other.



Authors:
--------
    Olli Parviainen

%package -n libSoundTouch0
License:        LGPL v2.1 or later
Summary:        Audio Processing Library
Group:          Productivity/Multimedia/Sound/Editors and Convertors

%description -n libSoundTouch0
SoundTouch is an open source audio processing library that allows
changing the sound tempo, pitch and playback rate parameters
independently from each other.



Authors:
--------
    Olli Parviainen

%package devel
License:        LGPL v2.1 or later
Summary:        Audio Processing Library
Group:          Productivity/Multimedia/Sound/Editors and Convertors
Requires:       libSoundTouch0 = %{version} glibc-devel

%description devel
SoundTouch is an open-source audio processing library that allows
changing the sound tempo, pitch and playback rate parameters
independently from each other.



Authors:
--------
    Olli Parviainen

%prep
%setup -q -n %{name}
tr -d '\r' <README.html >README.html~
touch -r README.html README.html~
mv README.html~ README.html
%ifarch x86_64
# cpu_detect_x86_gcc.cpp: Assembler messages:
# cpu_detect_x86_gcc.cpp:140: Error: suffix or operands invalid for `pop'
# cpu_detect_x86_gcc.cpp:143: Error: suffix or operands invalid for `push'
sed -i s/__x86_64__/__INVALID__/ include/STTypes.h
%endif
%ifnarch %ix86 x86_64
# cc1plus: error: unrecognized command line option "-msse2"
sed -i s/-msse2// source/SoundTouch/Makefile.am
%endif

%build
%if %suse_version >= 1110
autoreconf -f -i
%endif
%configure\
	--enable-shared\
	--disable-static
make %{?jobs:-j%jobs} pkgdocdir=%{_docdir}/%{name}

%install
%makeinstall pkgdocdir=%{_docdir}/%{name}
rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -n libSoundTouch0 -p /sbin/ldconfig

%postun -n libSoundTouch0 -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc %{_docdir}/%{name}
%{_bindir}/*

%files -n libSoundTouch0
%defattr(-,root,root)
%{_libdir}/libSoundTouch.so.0*

%files devel
%defattr(-,root,root)
%{_datadir}/aclocal/*.m4
%{_includedir}/soundtouch
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so

%changelog
* Thu Oct  1 2009 lnussel@suse.de
- fix library package to not depend on main package and glibc-devel
* Thu May  7 2009 sbrabec@suse.cz
- Updated to version 1.4.0:
  * Improved sound quality by automatic calculation of time stretch
    algorithm processing parameters according to tempo setting
  * Moved BPM detection routines from SoundStretch application into
    SoundTouch library
  * Bugfixes: Usage of uninitialied variables, GNU build scripts,
    compiler errors due to 'const' keyword mismatch.
  * Source code cleanup
- Split according to shared library packaging policy.
* Sat Apr  4 2009 crrodriguez@suse.de
- use --enable-shared and disable static libraries
* Thu Nov 22 2007 tiwai@suse.de
- fix build with gcc 4.3
* Wed Jul  4 2007 tiwai@suse.de
- fix build with the recent gcc
- fix build on architectures without SSE
- fix Makefile.am and removed hacks for autoreconf in spec file
* Thu Jun 21 2007 sbrabec@suse.cz
- New SuSE package, version 1.3.1.
